gatsby-plugin-coffeescript

5.13.1 • Public • Published

gatsby-plugin-coffeescript

Provides drop-in support for CoffeeScript and CJSX.

Install

npm install gatsby-plugin-coffeescript

How to use

  1. Include the plugin in your gatsby-config.js file.
  2. Write your components in CJSX or CoffeeScript.
// in gatsby-config.js
plugins: [
  // no configuration
  `gatsby-plugin-coffeescript`,
  // custom configuration
  {
    resolve: `gatsby-plugin-coffeescript`,
    // options are passed directly to the compiler
    options: {},
  },
]

Notes

First, note that CoffeeScript + React is a troubled combination. This plugin relies upon deprecated modules that may someday prove to be dysfunctional or otherwise deficient.

Furthermore, note that the installed version of CoffeeScript is @next. This is not optional - named exports are required for page queries to work properly.

You will need to manually edit your coffee-loader installation and install coffeescript separately in your project directory to ensure that CoffeeScript@next is being loaded. The very first line of source in the former's index.js should be the following: note the lack of dash.

var coffee = require("coffeescript")

Package Sidebar

Install

npm i gatsby-plugin-coffeescript

Weekly Downloads

393

Version

5.13.1

License

MIT

Unpacked Size

37.1 kB

Total Files

9

Last publish

Collaborators

  • kathmbeck
  • pieh
  • tylerbarnes
  • fk
  • daniellewgatsby
  • wardpeet